extends Area2D


@export var fire_rate: float = 0.25
@export var velocity: float = 5.0


func _physics_process(_delta: float) -> void:
	move_local_x(velocity)


func _on_ttl_timeout() -> void:
	queue_free()


func _on_body_entered(body: Node2D) -> void:
	if body is Asteroid:
		body.take_damage()
	self.queue_free()
